Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.depend.bcel
Class DependencyVisitor

    java.lang.Object
      org.apache.bcel.classfile.EmptyVisitor
          org.apache.tools.ant.util.depend.bcel.DependencyVisitor

All Implemented Interfaces:
  org.apache.bcel.classfile.Visitor

public class DependencyVisitor
extends org.apache.bcel.classfile.EmptyVisitor

A BCEL visitor implementation to collect class dependency information

Author:
  Conor MacNeill, Holger Engels

Constructor Summary
`DependencyVisitor()`

Method Summary
`void` | `clearDependencies()` Clear the curretn set of collected dependencies.
`java.util.Enumeration` | `getDependencies()` Get the dependencies collected by this visitor
`void` | `visitConstantClass(org.apache.bcel.classfile.ConstantClass constantClass)` Visit a class reference
`void` | `visitConstantPool(org.apache.bcel.classfile.ConstantPool constantPool)` Visit the constant pool of a class
`void` | `visitField(org.apache.bcel.classfile.Field field)` Visit a field of the class.
`void` | `visitJavaClass(org.apache.bcel.classfile.JavaClass javaClass)` Visit a Java class
`void` | `visitMethod(org.apache.bcel.classfile.Method method)` Visit a method of the current class

Methods inherited from class org.apache.bcel.classfile.EmptyVisitor
`visitCode, visitCodeException, visitConstantDouble, visitConstantFieldref, visitConstantFloat, visitConstantInteger, visitConstantInterfaceMethodref, visitConstantLong, visitConstantMethodref, visitConstantNameAndType, visitConstantString, visitConstantUtf8, visitConstantValue, visitDeprecated, visitExceptionTable, visitInnerClass, visitInnerClasses, visitLineNumber, visitLineNumberTable, visitLocalVariable, visitLocalVariableTable, visitSourceFile, visitStackMap, visitStackMapEntry, visitSynthetic, visitUnknown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyVisitor

    public DependencyVisitor()

Method Detail

### getDependencies

    public java.util.Enumeration getDependencies()

  Get the dependencies collected by this visitor

  Returns:
    a Enumeration of classnames, being the classes upon which the visited classes depend.

### clearDependencies

    public void clearDependencies()

  Clear the curretn set of collected dependencies.

### visitConstantPool

    public void visitConstantPool(org.apache.bcel.classfile.ConstantPool constantPool)

  Visit the constant pool of a class

  Parameters:
    `constantPool` - the constant pool of the class being visited.

### visitConstantClass

    public void visitConstantClass(org.apache.bcel.classfile.ConstantClass constantClass)

  Visit a class reference

  Parameters:
    `constantClass` - the constantClass entry for the class reference

### visitField

    public void visitField(org.apache.bcel.classfile.Field field)

  Visit a field of the class.

  Parameters:
    `field` - the field being visited

### visitJavaClass

    public void visitJavaClass(org.apache.bcel.classfile.JavaClass javaClass)

  Visit a Java class

  Parameters:
    `javaClass` - the class being visited.

### visitMethod

    public void visitMethod(org.apache.bcel.classfile.Method method)

  Visit a method of the current class

  Parameters:
    `method` - the method being visited.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.